package com.yfd.platform.modules.specialDocument.mapper;

import com.yfd.platform.modules.specialDocument.domain.Files;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 专项文档表 Mapper 接口
 * </p>
 *
 * @author LiMengNan
 * @since 2025-01-20
 */
public interface FilesMapper extends BaseMapper<Files> {

    int batchInsertFiles(List<Files> filesList);

    int updateNodeIdByPathHierarchy(@Param("id") String id);

    //根据节点删除文件（递归子节点文件）
    int deleteByNodeId(@Param("nodeId")String nodeId);
}
